Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`names`.`authority`.`BindAuthority``

class documentation

`class BindAuthority(FileAuthority): (source)`

Constructor: `BindAuthority(filename)`

View In Hierarchy

An Authority that loads BIND zone files.

Supports only `$ORIGIN` and `$TTL` directives.

Method | `addRecord` | Add a record to our authority. Expand domain with origin if necessary.
Method | `class_IN` | Simulate a class IN and recurse into the actual class.
Method | `collapseContinuations` | Transform multiline statements into single lines.
Method | `loadFile` | Load records from `filename`.
Method | `parseLines` | Parse `lines`.
Method | `parseRecordLine` | Parse a `line` from a zone file respecting `origin` and `ttl`.
Method | `stripComments` | Strip comments from `lines`.
Instance Variable | `origin` | Undocumented
Instance Variable | `records` | Undocumented
Instance Variable | `soa` | Undocumented

Inherited from `FileAuthority`:

Method | `__init__` | Undocumented
Method | `__setstate__` | Undocumented
Method | `lookupZone` | Perform an AXFR record lookup.
Instance Variable | `__dict__` | Undocumented
Method | `_additionalRecords` | Find locally known information that could be useful to the consumer of the response and construct appropriate records to include in the additional section of that response.
Method | `_cbAllRecords` | Undocumented
Method | `_lookup` | Determine a response to a particular DNS query.
Constant | `_ADDITIONAL_PROCESSING_TYPES` | Record types for which additional processing will be done.
Constant | `_ADDRESS_TYPES` | Record types which are useful for inclusion in the additional section generated during additional processing.
Instance Variable | `_cache` | Undocumented

Inherited from `ResolverBase` (via `FileAuthority`):

Method | `exceptionForCode` | Convert a response code (one of the possible values of `dns.Message.rCode` to an exception instance representing it.
Method | `getHostByName` | Resolve the domain name `name` into an IP address.
Method | `lookupAddress` | Perform an A record lookup.
Method | `lookupAddress6` | Perform an A6 record lookup.
Method | `lookupAFSDatabase` | Perform an AFSDB record lookup.
Method | `lookupAllRecords` | Perform an ALL_RECORD lookup.
Method | `lookupAuthority` | Perform an SOA record lookup.
Method | `lookupCanonicalName` | Perform a CNAME record lookup.
Method | `lookupHostInfo` | Perform a HINFO record lookup.
Method | `lookupIPV6Address` | Perform an AAAA record lookup.
Method | `lookupMailBox` | Perform an MB record lookup.
Method | `lookupMailboxInfo` | Perform an MINFO record lookup.
Method | `lookupMailExchange` | Perform an MX record lookup.
Method | `lookupMailGroup` | Perform an MG record lookup.
Method | `lookupMailRename` | Perform an MR record lookup.
Method | `lookupNameservers` | Perform an NS record lookup.
Method | `lookupNamingAuthorityPointer` | Perform a NAPTR record lookup.
Method | `lookupNull` | Perform a NULL record lookup.
Method | `lookupPointer` | Perform a PTR record lookup.
Method | `lookupResponsibility` | Perform an RP record lookup.
Method | `lookupSenderPolicy` | Perform a SPF record lookup.
Method | `lookupService` | Perform an SRV record lookup.
Method | `lookupText` | Perform a TXT record lookup.
Method | `lookupWellKnownServices` | Perform a WKS record lookup.
Method | `query` | Dispatch `query` to the method which can handle its type.
Instance Variable | `typeToMethod` | Undocumented
Method | `_cbRecords` | Undocumented
Class Variable | `_errormap` | A `dict` mapping DNS protocol failure response codes to exception classes which will be used to represent those failures.
Class Variable | `_log` | Undocumented

def addRecord(self, owner, ttl, type, domain, cls, rdata): (source)

Add a record to our authority. Expand domain with origin if necessary.

Parameters
owner:`bytes` | origin?
ttl:`int` | time to live for the record
type:`str` | record type
domain:`bytes` | the domain for which the record is to be added
cls:`str` | record class
rdata:`list` of `bytes` | record data

def class_IN(self, ttl, type, domain, rdata): (source)

Simulate a class IN and recurse into the actual class.

Parameters
ttl:`int` | time to live for the record
type:str | record type
domain:bytes | the domain
rdata:bytes |

def collapseContinuations(self, lines): (source)

Transform multiline statements into single lines.

Parameters
lines:iterable of `bytes` | lines to work on
Returns
iterable of continuous lines

def loadFile(self, filename): (source)
overrides `twisted.names.authority.FileAuthority.loadFile`

Load records from `filename`.

Parameters
filename:`bytes` | file to read from

def parseLines(self, lines): (source)

Parse `lines`.

Parameters
lines:iterable of `bytes` | lines to work on

def parseRecordLine(self, origin, ttl, line): (source)

Parse a `line` from a zone file respecting `origin` and `ttl`.

Add resulting records to authority.

Parameters
origin:`bytes` | starting point for the zone
ttl:`int` | time to live for the record
line:`list` of `bytes` | zone file line to parse; split by word

def stripComments(self, lines): (source)

Strip comments from `lines`.

Parameters
lines:iterable of `bytes` | lines to work on
Returns
`lines` sans comments.

origin = (source)

Undocumented

records: `dict` = (source)
overrides `twisted.names.authority.FileAuthority.records`

Undocumented

soa = (source)
overrides `twisted.names.authority.FileAuthority.soa`

Undocumented